[user]
	email = kenwood364@gmail.com
	name = KenwoodFox
	signingkey = DD5E787D6C678F3F64
[alias]
	add-commit = !git add -A && git commit
	report = log --author=J --since='2 sunday ago' --until='1 sunday ago' --format='%Cgreen%ci%Creset %s%Creset' --no-merges
	report-csv = log --author=Marco --since='2 sunday ago' --until='1 sunday ago' --format='\"%ci\",\"%s\"' --no-merges
	lg1 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold green)(%ar)%C(reset) %C(white)%s%C(reset) %C(dim white)- %an%C(reset)%C(bold yellow)%d%C(reset)' --all
	lg2 = log --graph --abbrev-commit --decorate --format=format:'%C(bold blue)%h%C(reset) - %C(bold cyan)%aD%C(reset) %C(bold green)(%ar)%C(reset)%C(bold yellow)%d%C(reset)%n''          %C(white)%s%C(reset) %C(dim white)- %an%C(reset)' --all
	lg = !"git lg1"
[credential]
	helper = store
[global]
[push]
	default = current
	autoSetupRemote = true
[init]
	defaultBranch = main
[pull]
	rebase = false
[branch]
	autosetuprebase = always
[safe]
	directory = /opt/flutter
[protocol "file"]
	allow = always
